Subject: Re: [EN] NNCP 8.6.0 release announcement

From: Sergey Matveev <[email-masked]>
Date: Wed, 2 Mar 2022 21:55:18 +0300

*** John Goerzen [2022-03-02 10:22]:
>Hmm, now I see that nncp-xfer -rx will ignore packets that have been
>seen.  That would mean that if an ACK is lost, the sender will keep
>retransmitting the packet forever, right?  I'm not quite sure what to do
>about this yet, hmm.

Seems so indeed. Well, that can be solved if nncp-xfer will output the
list of packets it transferred now and before, and nncp-ack can use that
list of files he had to ACK. That "state sharing" has never been done
before in NNCP, that seems like some kind of overcomplication now.
However I knew since the very beginning that ACKs will be painful :-)
Will think about all of that. I like that nncp-ack/toss/xfer are more or
less separated and isolated things from each other: xfer does not need
private keys, toss does not know anything about how the packet is
transferred, and so on. Making a combine that does everything, having
all the state it wants -- tempting, but ugly, in my opinion.
Intermediate state files currently seem at least less ugly.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF